Subject: Re: [PATCH v3 0/4] Add support for mailmap in cat-file

From: Junio C Hamano <[email-masked]>
Date: Sat, 09 Jul 2022 22:34:06 -0700

Siddharth Asthana <[email-masked]> writes:

> = Patch Organization
>
> - The first patch improves the commit_rewrite_person() by restricting it 
>   to traverse only through the header part of the commit object buffer.
>   It also adds an argument called headers which the callers can pass. 
>   The function will replace idents only on these  passed headers. 
>   Thus, the caller won't have to make repeated calls to the function.
> - The second patch moves commit_rewrite_person() to ident.c to expose it
>   as a public function so that it can be used to replace idents in the
>   headers of desired objects.
> - The third patch renames commit_rewrite_person() to a name which
>   describes its functionality clearly. It is renamed to
>   apply_mailmap_to_header().
> - The last patch adds mailmap support to the git cat-file command. It
>   adds the required documentation and tests as well.
>
> Changes in v3:
> - The decl-after-statement warnings have been fixed in all the patches.
> - In commit_rewrite_person(), the data type of linelen and i variables
>   have been changed from int to size_t.
> - The return type of replace_idents_using_mailmap() function, size_t,
>   has been explicitly typecasted to unsigned long using the
>   cast_size_t_to_ulong() helper method.

https://github.com/git/git/actions/runs/2642867380 seems to tell us
that tests added by this series are broken on Windows.  I am not
sure what exactly in this series depends on being LF-only system,
but the symptom makes me suspect that is the cause of the problem.